---
order: 10
title: Internationalization
---

The default language of `antd@2.x` is English as of yet. If you want to use other languages, you can follow the instructions below.

## ConfigProvider

`antd` provides a React Component [ConfigProvider](/components/config-provider) for configuring antd locale text globally.

```jsx
import { ConfigProvider } from 'antd';
import frFR from 'antd/es/locale/fr_FR';

return (
  <ConfigProvider locale={frFR}>
    <App />
  </ConfigProvider>
);
```

You can see complete config at: [ConfigProvider](/components/config-provider).

Note: `fr_FR` is the filename, follow below.

Supported languages:

| Language              | Filename |
| --------------------- | -------- |
| Arabic                | ar_EG    |
| Bulgarian             | bg_BG    |
| Catalan               | ca_ES    |
| Czech                 | cs_CZ    |
| German                | de_DE    |
| Greek                 | el_GR    |
| English (Global)      | en_GB    |
| English               | en_US    |
| Spanish               | es_ES    |
| Estonian              | et_EE    |
| Persian               | fa_IR    |
| Finnish               | fi_FI    |
| French (Belgium)      | fr_BE    |
| French (France)       | fr_FR    |
| Hebrew                | he_IL    |
| Croatian              | hr_HR    |
| Hindi                 | hi_IN    |
| Hungarian             | hu_HU    |
| Armenian              | hy_AM    |
| Indonesian            | id_ID    |
| Italian               | it_IT    |
| Icelandic             | is_IS    |
| Japanese              | ja_JP    |
| Kannada               | kn_IN    |
| Korean                | ko_KR    |
| Latvian               | lv_LV    |
| Macedonian            | mk_MK    |
| Norwegian             | nb_NO    |
| Nepal                 | ne_NP    |
| Dutch (Belgium)       | nl_BE    |
| Dutch                 | nl_NL    |
| Polish                | pl_PL    |
| Portuguese (Brazil)   | pt_BR    |
| Portuguese            | pt_PT    |
| Romanian              | ro_RO    |
| Russian               | ru_RU    |
| Slovak                | sk_SK    |
| Serbian               | sr_RS    |
| Slovenian             | sl_SI    |
| Swedish               | sv_SE    |
| Tamil                 | ta_IN    |
| Thai                  | th_TH    |
| Turkish               | tr_TR    |
| Ukrainian             | uk_UA    |
| Vietnamese            | vi_VN    |
| Chinese (Simplified)  | zh_CN    |
| Chinese (Traditional) | zh_TW    |

See usage and ways to contribute a new locale package at [ConfigProvider](/components/config-provider).

## i18n sample

We also provide you a complete sample of internationalization usage, which is using [react-intl](https://github.com/yahoo/react-intl) and ConfigProvider: [ant-design/intl-example](https://github.com/ant-design/intl-example).
