---
order: 3
title: 可视化
---

可视化语言是基于中台设计语言 Ant Design 衍生的一套具有数据可视化特性的设计指导原则，让数据表达更符合用户心理，帮助「设计者」孵化出更具业务特性的可视化解决方案以满足个性化设计需求，屏蔽不必要的设计差异和实现成本，从而解放「设计者」和前端的研发资源，实现全面提高数据图表的研发效率。

同时，这是一份动态更新的设计文档，你的阅读和反馈正是我们不断前进的动力，[GitHub 反馈地址](https://github.com/antvis/site/issues)。

## 设计资源

AntV 提供完善的设计原则 & 指引和设计资源文件（Sketch），此外还提供了一份完整的图表用法说明，来帮助用户快速理解图表并设计出高质量的可视化图表。

- [设计原则](https://antv.vision/zh/docs/specification/principles/basic)
- [设计资源](https://antv.vision/zh/docs/specification/resources)
- [图表用法](https://antv-2018.alipay.com/zh-cn/vis/chart/index.html)

## 前端实现

AntV 基于原生 JavaScipt 封装了一套 AntV 的组件库，其包含高交互基础图表库 G2Plot，专注解决流程与关系分析的图表库 G6，适于移动端应用的图表库 F2 等，也欢迎社区其他框架的实现版本。

- [G2 可视化引擎](https://g2.antv.vision/zh)
- [G2Plot 开箱即用的图表库](https://g2plot.antv.vision/zh) 🔥
- [G6 图可视化引擎](https://g6.antv.vision/zh)
- [F2 移动端可视化方案](https://f2.antv.vision/zh)
- [L7 地理空间数据可视分析引擎](https://l7.antv.vision/zh)
